# rippletv

RippleTV does ripple mark effect on the video input. The ripple is caused by motion or random rain drops.

## Example launch line

     gst-launch-1.0 -v videotestsrc ! rippletv ! videoconvert ! autovideosink

This pipeline shows the effect of rippletv on a test stream.

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstBaseTransform
                        ╰──GstVideoFilter
                            ╰──rippletv

## Factory details

Authors: – FUKUCHI, Kentarou <fukuchi>, Sebastian Dröge <sebastian.droege></sebastian.droege></fukuchi>

Classification: – `Filter/Effect/Video`

Rank – none

Plugin – effectv

Package – GStreamer Good Plug-ins

## Pad Templates

### `sink`

    video/x-raw:
             format: { BGRx, RGBx, xBGR, xRGB }
              width: [ 1, 2147483647 ]
             height: [ 1, 2147483647 ]
          framerate: [ 0/1, 2147483647/1 ]

Presence – always

Direction – sink

Object type – GstPad

### `src`

    video/x-raw:
             format: { BGRx, RGBx, xBGR, xRGB }
              width: [ 1, 2147483647 ]
             height: [ 1, 2147483647 ]
          framerate: [ 0/1, 2147483647/1 ]

Presence – always

Direction – src

Object type – GstPad

## Properties

### mode

    “mode” Ripple-tvmode *

Mode

Flags : Read / Write

Default value : motion-detection (0)

### reset

    “reset” gboolean

Reset all current ripples

Flags : Read / Write

Default value : false

## Named constants

### Ripple-tvmode

#### Members

`motion-detection` (0) – Motion Detection
`rain` (1) – Rain

The results of the search are